NullOutputFormat (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred.lib, class: NullOutputFormat

Package org.apache.hadoop.mapred.lib

# Class NullOutputFormat<K,V>

java.lang.Object
org.apache.hadoop.mapred.lib.NullOutputFormat<K,V>

All Implemented Interfaces:
  `OutputFormat<K,V>`

@Public @Stable public class NullOutputFormat<K,V> extends Object implements OutputFormat<K,V>
Consume all outputs and put them in /dev/null.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NullOutputFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkOutputSpecs(FileSystem ignored, JobConf job)`
  Check for validity of the output-specification for the job.
  `RecordWriter<K,V>`
  `getRecordWriter(FileSystem ignored, JobConf job, String name, Progressable progress)`
  Get the `RecordWriter` for the given job.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NullOutputFormat

    public NullOutputFormat()

- ## Method Details

  - ### getRecordWriter

    public RecordWriter<K,V> getRecordWriter(FileSystem ignored, JobConf job, String name, Progressable progress)
    Description copied from interface: `OutputFormat`
    Get the `RecordWriter` for the given job.
    Specified by:
      `getRecordWriter` in interface `OutputFormat<K,V>`
      `job` - configuration for the job whose output is being written.
      `name` - the unique name for this part of the output.
      `progress` - mechanism for reporting progress while writing to file.
    Returns:
      a `RecordWriter` to write the output for the job.

  - ### checkOutputSpecs

    public void checkOutputSpecs(FileSystem ignored, JobConf job)
    Description copied from interface: `OutputFormat`
    Check for validity of the output-specification for the job.

    This is to validate the output specification for the job when it is a job is submitted. Typically checks that it does not already exist, throwing an exception when it already exists, so that output is not overwritten.

    Implementations which write to filesystems which support delegation tokens usually collect the tokens for the destination path(s) and attach them to the job configuration.
    Specified by:
      `checkOutputSpecs` in interface `OutputFormat<K,V>`
      `job` - job configuration.